<script setup lang="ts">
import { useMessageStore } from '@/stores/message'
import { computed } from 'vue'

const messageStore = useMessageStore()
const colorBox = computed(() => {
  switch (messageStore.typeMSG) {
    case 'info':
      return ''
    case 'success':
      return 'green'
    case 'error':
      return 'red'
    default:
      return ''
  }
})
</script>

<template>
  <v-snackbar
    :color="colorBox"
    v-model="messageStore.snackbar"
    multi-line
    rounded="lg"
    variant="flat"
  >
    {{ messageStore.text }}
    <template v-slot:actions>
      <v-btn color="white" icon="mdi-close" @click="messageStore.snackbar = false"> </v-btn>
    </template>
  </v-snackbar>
</template>
